Package org.oasis_open.docs.ws_calendar.ns.soap

# Class ComponentSelectionType

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.ComponentSelectionType

public class ComponentSelectionType extends Object
Used to contain a selection of a single component. There are no changes that can be applied directly to components. They are containers for properties or other components.

Java class for ComponentSelectionType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ComponentSelectionType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element ref="{urn:ietf:params:xml:ns:icalendar-2.0}vcalendar"/>
               <element ref="{urn:ietf:params:xml:ns:icalendar-2.0}baseComponent"/>
             </choice>
             <element name="properties" type="{http://docs.oasis-open.org/ws-calendar/ns/soap}PropertiesSelectionType" minOccurs="0"/>
             <element name="components" type="{http://docs.oasis-open.org/ws-calendar/ns/soap}ComponentsSelectionType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected javax.xml.bind.JAXBElement<? extends BaseComponentType>`
  `baseComponent`
  `protected ComponentsSelectionType`
  `components`
  `protected PropertiesSelectionType`
  `properties`
  `protected VcalendarType`
  `vcalendar`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ComponentSelectionType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `javax.xml.bind.JAXBElement<? extends BaseComponentType>`
  `getBaseComponent()`
  Gets the value of the baseComponent property.
  `ComponentsSelectionType`
  `getComponents()`
  Gets the value of the components property.
  `PropertiesSelectionType`
  `getProperties()`
  Gets the value of the properties property.
  `VcalendarType`
  `getVcalendar()`
  Gets the value of the vcalendar property.
  `void`
  `setBaseComponent(javax.xml.bind.JAXBElement<? extends BaseComponentType> value)`
  Sets the value of the baseComponent property.
  `void`
  `setComponents(ComponentsSelectionType value)`
  Sets the value of the components property.
  `void`
  `setProperties(PropertiesSelectionType value)`
  Sets the value of the properties property.
  `void`
  `setVcalendar(VcalendarType value)`
  Sets the value of the vcalendar property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### vcalendar

    protected VcalendarType vcalendar

  - ### baseComponent

    protected javax.xml.bind.JAXBElement<? extends BaseComponentType> baseComponent

  - ### properties

    protected PropertiesSelectionType properties

  - ### components

    protected ComponentsSelectionType components

- ## Constructor Details

  - ### ComponentSelectionType

    public ComponentSelectionType()

- ## Method Details

  - ### getVcalendar

    public VcalendarType getVcalendar()
    Gets the value of the vcalendar property.
    Returns:
      possible object is `VcalendarType`

  - ### setVcalendar

    public void setVcalendar(VcalendarType value)
    Sets the value of the vcalendar property.
    Parameters:
      `value` - allowed object is `VcalendarType`

  - ### getBaseComponent

    public javax.xml.bind.JAXBElement<? extends BaseComponentType> getBaseComponent()
    Gets the value of the baseComponent property.
    Returns:
      possible object is `JAXBElement``<``AvailableType``>` `JAXBElement``<``BaseComponentType``>` `JAXBElement``<``DaylightType``>` `JAXBElement``<``StandardType``>` `JAXBElement``<``ValarmType``>` `JAXBElement``<``VavailabilityType``>` `JAXBElement``<``VeventType``>` `JAXBElement``<``VfreebusyType``>` `JAXBElement``<``VjournalType``>` `JAXBElement``<``VpollType``>` `JAXBElement``<``VtimezoneType``>` `JAXBElement``<``VtodoType``>` `JAXBElement``<``WsCalendarGluonType``>` `JAXBElement``<``WsCalendarIntervalType``>`

  - ### setBaseComponent

    public void setBaseComponent(javax.xml.bind.JAXBElement<? extends BaseComponentType> value)
    Sets the value of the baseComponent property.
    Parameters:
      `value` - allowed object is `JAXBElement``<``AvailableType``>` `JAXBElement``<``BaseComponentType``>` `JAXBElement``<``DaylightType``>` `JAXBElement``<``StandardType``>` `JAXBElement``<``ValarmType``>` `JAXBElement``<``VavailabilityType``>` `JAXBElement``<``VeventType``>` `JAXBElement``<``VfreebusyType``>` `JAXBElement``<``VjournalType``>` `JAXBElement``<``VpollType``>` `JAXBElement``<``VtimezoneType``>` `JAXBElement``<``VtodoType``>` `JAXBElement``<``WsCalendarGluonType``>` `JAXBElement``<``WsCalendarIntervalType``>`

  - ### getProperties

    public PropertiesSelectionType getProperties()
    Gets the value of the properties property.
    Returns:
      possible object is `PropertiesSelectionType`

  - ### setProperties

    public void setProperties(PropertiesSelectionType value)
    Sets the value of the properties property.
    Parameters:
      `value` - allowed object is `PropertiesSelectionType`

  - ### getComponents

    public ComponentsSelectionType getComponents()
    Gets the value of the components property.
    Returns:
      possible object is `ComponentsSelectionType`

  - ### setComponents

    public void setComponents(ComponentsSelectionType value)
    Sets the value of the components property.
    Parameters:
      `value` - allowed object is `ComponentsSelectionType`